Skip to content
Payments docs are in beta — the OpenAPI contract is the source of truth.API reference
VortexPayments
Esc
↑↓navigate↵open⌘Jpreview

Quote tax for a source document (creates a quoted transaction)

POST/v1/tax-transactions
Authorization
AuthorizationBearer token · headerrequired
Public API key bearer token.
Query parameters
environmentstringrequired
merchantAccountIdstringrequired
Header parameters
Idempotency-Keystring
Required for production-safe retries on mutating routes. Reusing a key with a different request body returns 409.
min length 1
Request body
requiredapplication/json
sourceDocumentIdstringrequired
sourceDocumentTypestring
Allowed:invoicecredit_note
idempotencyKeystringrequired
currencystringrequired
linesobject[]required
Show properties
Array of object
sourceLineIdstringrequired
amountintegerrequired
quantityintegerrequired
descriptionstring
classificationKeystring
productExternalIdstring
taxBehaviorTaxBehavior
Allowed:exclusiveinclusivelocation_based
customerTaxAddressTaxAddressrequired
Show properties
line1stringrequired
line2string
citystringrequired
regionstringrequired
postalCodestringrequired
countrystringrequired
customerExternalIdstring
customerNamestring
customerEmailstring
customerTypestring
Allowed:consumerbusinessgovernment
customerTaxExemptboolean
customerTaxExemptionRefstring
taxBehaviorTaxBehavior
Allowed:exclusiveinclusivelocation_based
taxIdValidationstring
Allowed:fullformatnone
taxIdUnverifiableTreatmentstring
Allowed:strictpermissive
fallbackOnProviderUnavailableboolean
Responses
201Success
dataobjectrequired
requestIdstringrequired
400Bad request, including malformed JSON
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
401Missing or invalid API key
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
409Conflict, including idempotency body drift
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
422Validation failed
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
429API key rate limit exceeded
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
defaultError
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
Request
curl -X POST "https://api.vortex.nyc/v1/tax-transactions?environment=string&merchantAccountId=string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "sourceDocumentId": "string",
  "sourceDocumentType": "invoice",
  "idempotencyKey": "string",
  "currency": "string",
  "lines": [
    {
      "sourceLineId": "string",
      "amount": 0,
      "quantity": 0,
      "description": "string",
      "classificationKey": "string",
      "productExternalId": "string",
      "taxBehavior": "exclusive"
    }
  ],
  "customerTaxAddress": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "region": "string",
    "postalCode": "string",
    "country": "string"
  },
  "customerExternalId": "string",
  "customerName": "string",
  "customerEmail": "string",
  "customerType": "consumer",
  "customerTaxExempt": true,
  "customerTaxExemptionRef": "string",
  "taxBehavior": "exclusive",
  "taxIdValidation": "full",
  "taxIdUnverifiableTreatment": "strict",
  "fallbackOnProviderUnavailable": true
}'
Response
{
  "data": {},
  "requestId": "string"
}